grafana:
  enabled: true
  sidecar:
    datasources:
      enabled: true
  persistence:
    enabled: true
    size: 5Gi
  datasources:
    datasources.yaml:
      apiVersion: 1
      datasources:
      - name: Prometheus
        type: prometheus
        url: http://monitoring-prometheus-server:80
      - name: Loki
        type: loki
        url: http://loki-headless:3100
      - name: Tempo
        type: tempo
        url: http://monitoring-tempo:3100

prometheus: {}

loki:
  loki:
    commonConfig:
      replication_factor: 1
    storage:
      type: 'filesystem'
    auth_enabled: false
  singleBinary:
    replicas: 1
  monitoring:
    serviceMonitor:
      enabled: false
    selfMonitoring:
      enabled: false
      grafanaAgent:
        installOperator: false
      lokiCanary:
        enabled: false
  test:
    enabled: false

promtail:
  config:
    clients:
    - url: http://loki-headless:3100/loki/api/v1/push

tempo:
  tempo:
    metricsGenerator:
      # -- If true, enables Tempo's metrics generator (https://grafana.com/docs/tempo/next/metrics-generator/)
      enabled: false
      remoteWriteUrl: "http://prometheus.monitoring:9090/api/v1/write"
    retention: 24h
    server:
      # -- HTTP server listen port
      http_listen_port: 3100
    storage:
      trace:
        # tempo storage backend
        # refer https://grafana.com/docs/tempo/latest/configuration/
        ## Use s3 for example
        # backend: s3
        # store traces in s3
        # s3:
        #   bucket: tempo                                   # store traces in this bucket
        #   endpoint: s3.dualstack.us-east-2.amazonaws.com  # api endpoint
        #   access_key: ...                                 # optional. access key when using static credentials.
        #   secret_key: ...                                 # optional. secret key when using static credentials.
        #   insecure: false                                 # optional. enable if endpoint is http
        backend: local
        local:
          path: /var/tempo/traces
        wal:
          path: /var/tempo/wal
    # this configuration will listen on all ports and protocols that tempo is capable of.
    # the receives all come from the OpenTelemetry collector.  more configuration information can
    # be found there: https://github.com/open-telemetry/opentelemetry-collector/tree/master/receiver
    receivers:
      jaeger:
        protocols:
          grpc:
            endpoint: 0.0.0.0:14250
          thrift_binary:
            endpoint: 0.0.0.0:6832
          thrift_compact:
            endpoint: 0.0.0.0:6831
          thrift_http:
            endpoint: 0.0.0.0:14268
      opencensus:
      otlp:
        protocols:
          grpc:
            endpoint: "0.0.0.0:4317"
          http:
            endpoint: "0.0.0.0:4318"
  persistence:
    enabled: false
    # storageClassName: local-path
    accessModes:
    - ReadWriteOnce
    size: 10Gi
